Description

In many places (e.g. https://www.redmine.org/projects/redmine/wiki/RedmineInstall) you say using chmod -R 755 and later

something like find files log tmp public/assets -type f -exec chmod -x {} +  for removing x from files.

Better use chmod -R a=rX,u+w

History

#1 - 2025-03-13 12:05 - Grischa Zengel

If you want to force remove x: chmod -R =r,+X,u+w

#2 - 2025-03-18 12:35 - Go MAEDA

- Category set to Documentation

#3 - 2025-03-18 12:39 - Go MAEDA

Grischa Zengel wrote:

Better use chmod -R a=rX,u+w

 Probably chmod -R a=rX,u+w,g+w is more consistent with chmod -R 755.

#4 - 2025-03-18 13:00 - Grischa Zengel

No

755 =  

Bit 1 1 1 1 0 1 1 0 1

right r w x r w x r w x

User U U U G G G O O O

There is no g+w

#5 - 2025-03-18 13:18 - Go MAEDA

Grischa Zengel wrote in #note-4:

No

755 =  

Bit 1 1 1 1 0 1 1 0 1

right r w x r w x r w x

User U U U G G G O O O

There is no g+w

 Sorry, you are right.
